@echo off
REM 5724-I63, 5724-H88  (C) COPYRIGHT International Business Machines Corp., 2001, 2005
REM All Rights Reserved * Licensed Materials - Property of IBM

REM ------------------------------------------------------------------------
REM This is the output file to store data in
REM ------------------------------------------------------------------------
set LB_FILE=lbpmr.jar

REM ------------------------------------------------------------------------
REM Run the Java tool to run some commands and gather output into lbinfo.txt
REM ------------------------------------------------------------------------
%IBMULBPATH%\java\jre\bin\java -cp %IBMULBPATH%\ss\servers\lib\lbpd.jar PD.lbpd %IBMULBPATH%\ss\lbinfo.txt %IBMULBPATH%\ss\servers\lib\lbpd.ecm

REM ------------------------------------------------------------------------
REM Now move to the LB directory and clean out any old PD data
REM ------------------------------------------------------------------------
pushd %IBMULBPATH%
if exist %LB_FILE% del %LB_FILE%

REM ------------------------------------------------------------------------
REM Now add all of the information we want to store using a few jar commands
REM ------------------------------------------------------------------------
%IBMULBPATH%\java\bin\jar -cvf %LB_FILE% lbinfo.txt
if ERRORLEVEL 1 goto ERROR
%IBMULBPATH%\java\bin\jar -uvf %LB_FILE% servers\logs\dispat~1\*
if ERRORLEVEL 1 goto ERROR
%IBMULBPATH%\java\bin\jar -uvf %LB_FILE% servers\config~1\dispat~1\*
if ERRORLEVEL 1 goto ERROR

REM ------------------------------------------------------------------------
REM If we got here, then everything worked so quit now
REM ------------------------------------------------------------------------
goto DONE

REM ------------------------------------------------------------------------
REM Print the error message if the utility zip was not found.
REM ------------------------------------------------------------------------
:ERROR
echo -----------------------------------------------------------------------
echo The jar utility was not found. If you have a jar tool, you can modify
echo the lbpd script to use it, or simply gather by hand the files lbpd was
echo attempting to automatically gather. Please see the script to find out
echo which files it was trying to get.
echo -----------------------------------------------------------------------

:DONE
popd
